Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.gse
Class DependencyTracker

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.tools.gse.DependencyTracker

All Implemented Interfaces:
  GroovyClassVisitor, GroovyCodeVisitor

    public class DependencyTracker

extends ClassCodeVisitorSupport

Constructor Summary
`DependencyTracker(SourceUnit source, StringSetMap cache)`

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitArrayExpression(ArrayExpression expression)`
`void` | `visitCastExpression(CastExpression expression)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClass(ClassNode node)`
`void` | `visitClassExpression(ClassExpression expression)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`void` | `visitField(FieldNode node)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitVariableExpression(VariableExpression expression)`

Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport
`addError, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitForLoop, visitIfElse, visitImports, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport
`visitArgumentlistExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitDeclarationExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyTracker

    public DependencyTracker(SourceUnit source,
                             StringSetMap cache)

Method Detail

### visitClass

    public void visitClass(ClassNode node)

  Specified by:
    `visitClass` in interface `GroovyClassVisitor`
  Overrides:
    `visitClass` in class `ClassCodeVisitorSupport`

### getSourceUnit

    protected SourceUnit getSourceUnit()

  Specified by:
    `getSourceUnit` in class `ClassCodeVisitorSupport`

### visitClassExpression

    public void visitClassExpression(ClassExpression expression)

  Specified by:
    `visitClassExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitClassExpression` in class `CodeVisitorSupport`

### visitField

    public void visitField(FieldNode node)

  Specified by:
    `visitField` in interface `GroovyClassVisitor`
  Overrides:
    `visitField` in class `ClassCodeVisitorSupport`

### visitMethod

    public void visitMethod(MethodNode node)

  Specified by:
    `visitMethod` in interface `GroovyClassVisitor`
  Overrides:
    `visitMethod` in class `ClassCodeVisitorSupport`

### visitArrayExpression

    public void visitArrayExpression(ArrayExpression expression)

  Specified by:
    `visitArrayExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitArrayExpression` in class `CodeVisitorSupport`

### visitCastExpression

    public void visitCastExpression(CastExpression expression)

  Specified by:
    `visitCastExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitCastExpression` in class `CodeVisitorSupport`

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)

  Specified by:
    `visitVariableExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitVariableExpression` in class `ClassCodeVisitorSupport`

### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)

  Specified by:
    `visitCatchStatement` in interface `GroovyCodeVisitor`
  Overrides:
    `visitCatchStatement` in class `ClassCodeVisitorSupport`

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

  Overrides:
    `visitAnnotations` in class `ClassCodeVisitorSupport`

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression call)

  Specified by:
    `visitConstructorCallExpression` in interface `GroovyCodeVisitor`
  Overrides:
    `visitConstructorCallExpression` in class `CodeVisitorSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD